// printf
#include <stdio.h>

// system
#include <stdlib.h>

//sleep
#include <unistd.h>

//O_RDWR
#include <fcntl.h>

// I2C_SLAVE
#include <linux/i2c-dev.h>

// __u8
#include <linux/types.h>

#include "WCC.h"

void printbool(int test);

int main(void){
	struct WCC_data mWCC_data;
	
	printf("Programme de test de l'i2c en mode maitre\n");

	WiiClassicCom_Init(&mWCC_data);

	while(1){
		if(WiiClassicCom_Read(&mWCC_data) == 0){
			printf("%c[2J", 0x1B); 
			printf("Joystick gauche, X : %d\n",(int)WCC_get_GX(&mWCC_data));
			printf("Joystick gauche, Y : %d\n",(int)WCC_get_GY(&mWCC_data));
			printf("Joystick droit, X : %d\n",(int)WCC_get_DX(&mWCC_data));
			printf("Joystick droit, Y : %d\n",(int)WCC_get_DY(&mWCC_data));
			printf("Bouton L : %d\n",WCC_get_L(&mWCC_data));
			// Bouton Lend
			printf("Bouton Lend : ");
			printbool(WCC_get_Lend(&mWCC_data));
			
			printf("Bouton R : %d\n",WCC_get_R(&mWCC_data));
			// Bouton Rend
			printf("Bouton Rend : ");
			printbool(WCC_get_Rend(&mWCC_data));
			
			// Bouton haut
			printf("Bouton haut : ");
			printbool(WCC_get_haut(&mWCC_data));
			// Bouton bas
			printf("Bouton bas : ");
			printbool(WCC_get_bas(&mWCC_data));
			// Bouton gauche
			printf("Bouton gauche : ");
			printbool(WCC_get_gauche(&mWCC_data));
			// Bouton droit
			printf("Bouton droite : ");
			printbool(WCC_get_droite(&mWCC_data));
			// Bouton A
			printf("Bouton A : ");
			printbool(WCC_get_A(&mWCC_data));
			// Bouton B
			printf("Bouton B : ");
			printbool(WCC_get_B(&mWCC_data));
			// Bouton X
			printf("Bouton X : ");
			printbool(WCC_get_X(&mWCC_data));
			// Bouton Y
			printf("Bouton Y : ");
			printbool(WCC_get_Y(&mWCC_data));

			// Bouton ZL
			printf("Bouton ZL : ");
			printbool(WCC_get_ZL(&mWCC_data));
			// Bouton ZR
			printf("Bouton ZR : ");
			printbool(WCC_get_ZR(&mWCC_data));
			// Bouton Select
			printf("Bouton Select : ");
			printbool(WCC_get_Select(&mWCC_data));
			// Bouton Home
			printf("Bouton Home : ");
			printbool(WCC_get_Home(&mWCC_data));
			// Bouton Start
			printf("Bouton Start : ");
			printbool(WCC_get_Start(&mWCC_data));
			
			usleep(25000);
		}
	}
	
	
	close(mWCC_data.file);


	
  
  return 0;
}

void printbool(int test){
	if (test != 0)
		printf("On\n");
	else
		printf("Off\n");
}
