
struct WCC_data{
  int file;
  unsigned char reception[6];
  int DX_init;
  int DY_init;
  int GX_init;
  int GY_init;
};

// Fonction d'acces aux boutons
int WCC_get_DX(struct WCC_data *); // entre -32 et 32
int WCC_get_DY(struct WCC_data *); // entre -32 et 32
int WCC_get_GX(struct WCC_data *); // entre -16 et 16
int WCC_get_GY(struct WCC_data *); // entre -16 et 16
unsigned char WCC_get_L(struct WCC_data *); // entre 0 et 31
unsigned char WCC_get_R(struct WCC_data *); // entre 0 et 31
unsigned char WCC_get_haut(struct WCC_data *);
unsigned char WCC_get_bas(struct WCC_data *);
unsigned char WCC_get_gauche(struct WCC_data *);
unsigned char WCC_get_droite(struct WCC_data *);
unsigned char WCC_get_X(struct WCC_data *);
unsigned char WCC_get_Y(struct WCC_data *);
unsigned char WCC_get_A(struct WCC_data *);
unsigned char WCC_get_B(struct WCC_data *);
unsigned char WCC_get_Lend(struct WCC_data *);
unsigned char WCC_get_Rend(struct WCC_data *);
unsigned char WCC_get_ZL(struct WCC_data *);
unsigned char WCC_get_ZR(struct WCC_data *);
unsigned char WCC_get_Home(struct WCC_data *);
unsigned char WCC_get_Select(struct WCC_data *);
unsigned char WCC_get_Start(struct WCC_data *);

// Fonction d'init et de mise à jour
/*
char WiiClassic_Init(struct WCC_data *);
char WiiClassic_Read(struct WCC_data *);
*/
// Fonction de bas niveau
int WiiClassicCom_Init(struct WCC_data *);
int WiiClassicCom_Read(struct WCC_data *);

